# Gimp.ParamSpecColor.from_string

    function from_string(name: String, nick: String, blurb: String, has_alpha: Boolean, default_color_string: String, flags: GObject.ParamFlags): GObject.ParamSpec {
        // Gjs wrapper for gimp_param_spec_color_from_string()
    }

Creates a new GObject.ParamSpec instance specifying a Gegl.Color property.

name

  canonical name of the property specified

nick

  nick name for the property specified

blurb

  description of the property specified

has_alpha

  true if the alpha channel has relevance.

default_color_string

  the default value for the property specified

flags

  flags for the property specified

Returns

  a newly created parameter specification